Which Kapish product version do I use?

Which Kapish product version do I use?

2 Comments on Which Kapish product version do I use?
 
Our support team get asked this one all the time: ‘Which Kapish product versions will work with my HP TRIM setup?’. Well here’s a handy table that should make it clear:
What is the most current version of this product? What is the specific MSI number for the current Public Release What versions of TRIM does this version support? Last Version with TRIM 6.2 Support
Kapish Explorer 4.1.3 4.13.1059 TRIM 6.2x onwards 4.1.3 (1059)
Kapish Word Add-In 3.0 3.00.1126 HP TRIM 7.1 onwards 2.1.0 (1028)
Kapish Excel Add-In 3.0 3.00.1126 HP TRIM 7.1 onwards 2.1.0 (1028)
Kapish Easy Link 3.0.2 3.02.1103 HP TRIM 7.1 onwards 2.8.05
Kapish Record Remover 1.2 1.2.1009 HP TRIM 7.1 onwards Kapish Record Remover is not supported for use with TRIM 6.2x
Kapish Folder Wizard 3.0 3.00.1003 TRIM 6.2x onwards 3.0 (1003)
Kapish Lotus Notes Add-In N/A N/A TRIM 6.2x onwards  
goTRIM 2.0 2.1.0004 HP TRIM 7.1 onwards goTRIM is not supported for use with TRIM 6.2x
How will I be notified about new versions of Kapish products? Each time we release either a new product, or a new version of an existing product, we’ll send out an email to let you know when it’s coming, any new features and/or enhancements and how it can make life easier for you. How do I download the relevant MSI and any related documentation? Kapish products and their associated documentation are available for Kapish customers within the Downloads section of our website. To access the Downloads section, log in to the Kapish website (via the top right-hand corner), select the Download Kapish Products option and then select the relevant product you wish to download. It’s that easy! What should I do when a new version of a Kapish Product doesn’t support the version of TRIM I’m using? Kapish aligns the support for our product suite with HP’s obsolescence program, so you will be given plenty of advance notice when new releases of our products are no longer officially supported for use with a particular version of HP TRIM. If you have any concerns about the version of either HP TRIM or a particular Kapish product in use at your organisation, please get in contact.

Related Posts

2 Comments

  1. Ian Bennett  - December 9, 2015 - 4:08 pm
    Reply /

    Please update with later versions for people new to this software

    • Emma Backhouse  - December 9, 2015 - 9:28 pm
      Reply /

      Good point Ian, we do get asked this a lot, so we are probably due a repeat on this story. I don’t want to spoil the surprise but we do have a few more releases left this year.
      However in the New Year I will endeavour to do a similar story with all the latest and greatest and compatible versions. In the meantime if you have any specific questions, you can always contact [email protected] who are happy to help.

Leave a comment

Back to Top